Subject: Re: [Sipping] Does 'isfocus' indicate capability or behavior?

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 01 Feb 2005 00:48:54 -0500

I don't normally like "what he said" mails, but to make sure this thread 
is concluded, Alan is definitely right in terms of the definition of 
is-focus as a characteristic, and on how to signal the capability 
(through support of Join).

-Jonathan R.

Cullen Jennings wrote:

> Yah, what Alan said :-)
> 
> On 1/28/05 11:30 AM, "Johnston, Alan" <[email-masked]> wrote:
> 
> 
>>Paul is correct - isfocus means the UA is acting as a focus.
>>
>>If a UA can act as a focus, it should support the Join header field and
>>indicate this in a Supported header field, as defined in
>>cc-conferencing.
>>
>>Note that if a UA is configured with a Conference Factory URI, it is
>>essentially capable of acting as a focus, even though the focus is not
>>necessarily part of the UA software - it can create a focus and move any
>>existing call to that focus.
>>
>>Thanks,
>>Alan Johnston
>>sip:[email-masked]
>>
>>
>>>-----Original Message-----
>>>From: [email-masked]
>>>[mailto:[email-masked]] On Behalf Of Aki Niemi
>>>Sent: Friday, January 28, 2005 9:02 AM
>>>To: ext Paul Kyzivat
>>>Cc: sipping
>>>Subject: Re: [Sipping] Does 'isfocus' indicate capability or behavior?
>>>
>>>
>>>
>>>
>>>ext Paul Kyzivat wrote:
>>>...snip...
>>>
>>>
>>>>I think probably you should consider the parameter as an indicator
>>>>that
>>>>you should try to subscribe to the conference event
>>>
>>>package. If that
>>>
>>>>succeeds, then you can assume you are in a conference and
>>>
>>>can put up 
>>>
>>>>your special UI. If the parameter is absent, or you can't
>>>
>>>successfully 
>>>
>>>>subscribe to the event package, then just consider this to
>>>
>>>be a regular 
>>>
>>>>call.
>>>
>>> From the user perspective, this is a bit too late. The user needs to
>>>know whether they are accepting a conference call or a
>>>regular call. And
>>>it would be useful to know that a regular call can be upgraded into a
>>>conference.
>>>
>>>I'll also note that there are other callee capabilities (sip.events
>>>specifically) that inform of the capability to accept
>>>conference event
>>>subscriptions.
>>>
>>>That said, this still leaves me wanting a way to distinguish
>>>between the 
>>>capability and the characteristic in terms of a particular UA being a
>>>conference focus.
>>>
>>>Cheers,
>>>Aki
>>>
>>>
>>>_______________________________________________
>>>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>>This list is for NEW development of the application of SIP
>>>Use [email-masked] for questions on current
>>>sip Use [email-masked] for new developments of core SIP
>>>
>>
>>_______________________________________________
>>Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>This list is for NEW development of the application of SIP
>>Use [email-masked] for questions on current sip
>>Use [email-masked] for new developments of core SIP
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP